import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/org-user/user-info-form-form/user-info-form-form.module';
import { RighttoolbarModule } from '@widget/org-user/mob-edit-viewrighttoolbar-toolbar/mob-edit-viewrighttoolbar-toolbar.module';
import {WFWorkListMobMDViewModule} from '@pages/demo/wfwork-list-mob-mdview/wfwork-list-mob-mdview.module';
import {AppDashboardViewModule} from '@pages/demo/app-dashboard-view/app-dashboard-view.module';
import {OrgUserMobEditViewPage} from './org-user-mob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: OrgUserMobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class OrgUserMobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    OrgUserMobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
    WFWorkListMobMDViewModule,
    AppDashboardViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [OrgUserMobEditViewPage],
  entryComponents:[OrgUserMobEditViewPage],
  exports:[OrgUserMobEditViewPage]
})
export class OrgUserMobEditViewModule {}

