import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/qj/mob-form-form/mob-form-form.module';
import { RighttoolbarModule } from '@widget/qj/mob-edit-viewrighttoolbar-toolbar/mob-edit-viewrighttoolbar-toolbar.module';
import {QJMobWFStartViewModule} from '@pages/demo/qjmob-wfstart-view/qjmob-wfstart-view.module';
import {QJMobEditViewPage} from './qjmob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJMobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class QJMobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJMobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
    QJMobWFStartViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJMobEditViewPage],
  entryComponents:[QJMobEditViewPage],
  exports:[QJMobEditViewPage]
})
export class QJMobEditViewModule {}

