import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/qj/mob-form10-form/mob-form10-form.module';
import { RighttoolbarModule } from '@widget/qj/usr2-mob-edit-viewrighttoolbar-toolbar/usr2-mob-edit-viewrighttoolbar-toolbar.module';
import {QJMobWFStartViewModule} from '@pages/demo/qjmob-wfstart-view/qjmob-wfstart-view.module';
import {QJUsr2MobEditViewPage} from './qjusr2-mob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJUsr2MobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class QJUsr2MobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJUsr2MobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
    QJMobWFStartViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJUsr2MobEditViewPage],
  entryComponents:[QJUsr2MobEditViewPage],
  exports:[QJUsr2MobEditViewPage]
})
export class QJUsr2MobEditViewModule {}

