import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: '@pages/demo/app-index-view/app-index-view.module#AppIndexViewModule'
  },
  {
    path: 'demo_appportalview',
    loadChildren: '@pages/demo/app-portal-view/app-portal-view.module#AppPortalViewModule'
  },
  {
    path: 'demo_qjmobeditview',
    loadChildren: '@pages/demo/qjmob-edit-view/qjmob-edit-view.module#QJMobEditViewModule'
  },
  {
    path: 'demo_orgusermobmdview',
    loadChildren: '@pages/demo/org-user-mob-mdview/org-user-mob-mdview.module#OrgUserMobMDViewModule'
  },
  {
    path: 'demo_qjmobwfactionview',
    loadChildren: '@pages/demo/qjmob-wfaction-view/qjmob-wfaction-view.module#QJMobWFActionViewModule'
  },
  {
    path: 'demo_bgypmobpickupmdview',
    loadChildren: '@pages/demo/bgypmob-pickup-mdview/bgypmob-pickup-mdview.module#BGYPMobPickupMDViewModule'
  },
  {
    path: 'demo_kqmobeditview',
    loadChildren: '@pages/demo/kqmob-edit-view/kqmob-edit-view.module#KQMobEditViewModule'
  },
  {
    path: 'demo_appportalview3',
    loadChildren: '@pages/demo/app-portal-view3/app-portal-view3.module#AppPortalView3Module'
  },
  {
    path: 'demo_qjmobwfeditview3',
    loadChildren: '@pages/demo/qjmob-wfedit-view3/qjmob-wfedit-view3.module#QJMobWFEditView3Module'
  },
  {
    path: 'demo_ycsqusr2mobeditview',
    loadChildren: '@pages/demo/ycsqusr2-mob-edit-view/ycsqusr2-mob-edit-view.module#YCSQUsr2MobEditViewModule'
  },
  {
    path: 'demo_qjusr3mobeditview',
    loadChildren: '@pages/demo/qjusr3-mob-edit-view/qjusr3-mob-edit-view.module#QJUsr3MobEditViewModule'
  },
  {
    path: 'demo_appstartview',
    loadChildren: '@pages/demo/app-start-view/app-start-view.module#AppStartViewModule'
  },
  {
    path: 'demo_wfworklistmobmdview',
    loadChildren: '@pages/demo/wfwork-list-mob-mdview/wfwork-list-mob-mdview.module#WFWorkListMobMDViewModule'
  },
  {
    path: 'demo_dfmobmdview',
    loadChildren: '@pages/demo/dfmob-mdview/dfmob-mdview.module#DFMobMDViewModule'
  },
  {
    path: 'demo_qjmobwfstartview',
    loadChildren: '@pages/demo/qjmob-wfstart-view/qjmob-wfstart-view.module#QJMobWFStartViewModule'
  },
  {
    path: 'demo_qjusr2mobeditview',
    loadChildren: '@pages/demo/qjusr2-mob-edit-view/qjusr2-mob-edit-view.module#QJUsr2MobEditViewModule'
  },
  {
    path: 'demo_xmmobeditview',
    loadChildren: '@pages/demo/xmmob-edit-view/xmmob-edit-view.module#XMMobEditViewModule'
  },
  {
    path: 'demo_apploginview',
    loadChildren: '@pages/demo/app-login-view/app-login-view.module#AppLoginViewModule'
  },
  {
    path: 'demo_dfmobeditview',
    loadChildren: '@pages/demo/dfmob-edit-view/dfmob-edit-view.module#DFMobEditViewModule'
  },
  {
    path: 'demo_zbmobcalendarview',
    loadChildren: '@pages/demo/zbmob-calendar-view/zbmob-calendar-view.module#ZBMobCalendarViewModule'
  },
  {
    path: 'demo_ycsqmobeditview',
    loadChildren: '@pages/demo/ycsqmob-edit-view/ycsqmob-edit-view.module#YCSQMobEditViewModule'
  },
  {
    path: 'demo_orgusermobeditview',
    loadChildren: '@pages/demo/org-user-mob-edit-view/org-user-mob-edit-view.module#OrgUserMobEditViewModule'
  },
  {
    path: 'demo_appportalview2',
    loadChildren: '@pages/demo/app-portal-view2/app-portal-view2.module#AppPortalView2Module'
  },
  {
    path: 'demo_appindexview2',
    loadChildren: '@pages/demo/app-index-view2/app-index-view2.module#AppIndexView2Module'
  },
  {
    path: 'demo_xmmobpickupmdview',
    loadChildren: '@pages/demo/xmmob-pickup-mdview/xmmob-pickup-mdview.module#XMMobPickupMDViewModule'
  },
  {
    path: 'demo_appdashboardview',
    loadChildren: '@pages/demo/app-dashboard-view/app-dashboard-view.module#AppDashboardViewModule'
  },
  {
    path: 'demo_qjqjsp_d_mobwfeditview',
    loadChildren: '@pages/demo/qjqjsp-d-mob-wfedit-view/qjqjsp-d-mob-wfedit-view.module#QJQJSP_D_MobWFEditViewModule'
  },
  {
    path: 'demo_htmobmdview',
    loadChildren: '@pages/demo/htmob-mdview/htmob-mdview.module#HTMobMDViewModule'
  },
  {
    path: 'demo_htmobeditview',
    loadChildren: '@pages/demo/htmob-edit-view/htmob-edit-view.module#HTMobEditViewModule'
  },
  {
    path: 'demo_qjqjsp_d_mobwfmdview',
    loadChildren: '@pages/demo/qjqjsp-d-mob-wfmdview/qjqjsp-d-mob-wfmdview.module#QJQJSP_D_MobWFMDViewModule'
  },
  {
    path: 'demo_kqmobmdview',
    loadChildren: '@pages/demo/kqmob-mdview/kqmob-mdview.module#KQMobMDViewModule'
  },
  {
    path: 'demo_xmmobmdview',
    loadChildren: '@pages/demo/xmmob-mdview/xmmob-mdview.module#XMMobMDViewModule'
  },
  {
    path: 'demo_bgypmobmdview',
    loadChildren: '@pages/demo/bgypmob-mdview/bgypmob-mdview.module#BGYPMobMDViewModule'
  },
  {
    path: 'demo_qjmobmdview',
    loadChildren: '@pages/demo/qjmob-mdview/qjmob-mdview.module#QJMobMDViewModule'
  },
  {
    path: 'demo_bgyptreeexpview',
    loadChildren: '@pages/demo/bgyptree-exp-view/bgyptree-exp-view.module#BGYPTreeExpViewModule'
  },
  {
    path: 'demo_appportalview4',
    loadChildren: '@pages/demo/app-portal-view4/app-portal-view4.module#AppPortalView4Module'
  },
  {
    path: '**',
    redirectTo: '',
    pathMatch: 'full'
  }
];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
