import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { RighttoolbarModule } from '@widget/bgyp/tree-exp-viewrighttoolbar-toolbar/tree-exp-viewrighttoolbar-toolbar.module';
import { TreeExpBarModule } from '@widget/bgyp/tree-exp-viewtreeexpbar-treeexpbar/tree-exp-viewtreeexpbar-treeexpbar.module';
import { Treeexpbar_treeModule } from '@widget/bgyp/usr-treeview/usr-treeview.module';
import {BGYPMobPickupMDViewModule} from '@pages/demo/bgypmob-pickup-mdview/bgypmob-pickup-mdview.module';
import {BGYPTreeExpViewPage} from './bgyptree-exp-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: BGYPTreeExpViewPage}])
  ],
  exports:[RouterModule]
})
export class BGYPTreeExpViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    BGYPTreeExpViewRouteModule,
    RighttoolbarModule,TreeExpBarModule,Treeexpbar_treeModule,
    BGYPMobPickupMDViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [BGYPTreeExpViewPage],
  entryComponents:[BGYPTreeExpViewPage],
  exports:[BGYPTreeExpViewPage]
})
export class BGYPTreeExpViewModule {}
