import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/ht/mob-form-form/mob-form-form.module';
import { RighttoolbarModule } from '@widget/ht/mob-edit-viewrighttoolbar-toolbar/mob-edit-viewrighttoolbar-toolbar.module';
import {XMMobPickupViewModule} from '@pages/demo/xmmob-pickup-view/xmmob-pickup-view.module';
import {HTMobEditViewPage} from './htmob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: HTMobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class HTMobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    HTMobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
    XMMobPickupViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [HTMobEditViewPage],
  entryComponents:[HTMobEditViewPage],
  exports:[HTMobEditViewPage]
})
export class HTMobEditViewModule {}

