import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/qj/wfform-form/wfform-form.module';
import {QJMobWFActionViewPage} from './qjmob-wfaction-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJMobWFActionViewPage}])
  ],
  exports:[RouterModule]
})
export class QJMobWFActionViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJMobWFActionViewRouteModule,
    EditFormModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJMobWFActionViewPage],
  entryComponents:[QJMobWFActionViewPage],
  exports:[QJMobWFActionViewPage]
})
export class QJMobWFActionViewModule {}
