import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { QuicktoolbarModule } from '@widget/qj/qjsp-d-mob-wfedit-viewquicktoolbar-toolbar/qjsp-d-mob-wfedit-viewquicktoolbar-toolbar.module';
import { EditFormModule } from '@widget/qj/main-form/main-form.module';
import { RighttoolbarModule } from '@widget/qj/qjsp-d-mob-wfedit-viewrighttoolbar-toolbar/qjsp-d-mob-wfedit-viewrighttoolbar-toolbar.module';
import {QJMobWFActionViewModule} from '@pages/demo/qjmob-wfaction-view/qjmob-wfaction-view.module';
import {QJMobWFStartViewModule} from '@pages/demo/qjmob-wfstart-view/qjmob-wfstart-view.module';
import {QJQJSP_D_MobWFEditViewPage} from './qjqjsp-d-mob-wfedit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJQJSP_D_MobWFEditViewPage}])
  ],
  exports:[RouterModule]
})
export class QJQJSP_D_MobWFEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJQJSP_D_MobWFEditViewRouteModule,
    QuicktoolbarModule,EditFormModule,RighttoolbarModule,
    QJMobWFActionViewModule,
    QJMobWFStartViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJQJSP_D_MobWFEditViewPage],
  entryComponents:[QJQJSP_D_MobWFEditViewPage],
  exports:[QJQJSP_D_MobWFEditViewPage]
})
export class QJQJSP_D_MobWFEditViewModule {}
