import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/xm/mob-mobmdctrl/mob-mobmdctrl.module';
import {XMMobPickupMDViewPage} from './xmmob-pickup-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: XMMobPickupMDViewPage}])
  ],
  exports:[RouterModule]
})
export class XMMobPickupMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    XMMobPickupMDViewRouteModule,
    MdctrlModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [XMMobPickupMDViewPage],
  entryComponents:[XMMobPickupMDViewPage],
  exports:[XMMobPickupMDViewPage]
})
export class XMMobPickupMDViewModule {}
